/*
 * ProtocolSender.h
 *
 *  Created on: Sep 8, 2017
 *      Author: guoxs
 */

#ifndef _UART_PROTOCOL_SENDER_H_
#define _UART_PROTOCOL_SENDER_H_

#include "CommDef.h"
#include <string>
#include <string.h>

bool sendProtocolTo(int uart, const BYTE *pData, BYTE len);
bool sendProtocolTo(int uart, std::string pData);
bool sendSimpleTo(int uart, const BYTE *pData, UINT len);
bool sendSimpleTo(int uart, std::string &data);

#endif /* _UART_PROTOCOL_SENDER_H_ */
